Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_heuristic_gen_name

## Name

librdf_heuristic_gen_name -- Generate a new name from an existing name

## Synopsis

``char * `librdf_heuristic_gen_name`` (char * `name`);`

## Arguments

`name`

  the name

## Description

Adds an integer or increases the integer at the end of the name in order to generate a new one

## Return value

a new name or NULL on failure

<<< Previous | Home | Next >>>
librdf_heuristic_object_is_literal | Up | GNU Free Documentation License